Subject: Re: Updating to B20.1
From: [email-masked] (Corinna Vinschen)

17 Dec 1998 03:42:39 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "Dr. Volker Zell" <[email-masked]>, [email-masked]

Dr. Volker Zell wrote:
> 
>     >> B20-built applications do not need to be rebuilt when you
>     >> upgrade to 20.1.  (In fact, you should be able to rename the
>     >> B20 (or 20.1) cygwin1.dll to cygwinb19.dll and continue to use
>     >> your old Cygwin B19 applications with the new library).
> 
> I found that this is true, for all my executables which are *not* using
> X11R6.4 Dll's.
> 
> [...]
>
> But I cannot execute B19 compiled (latest coolview) X11 programs with
> these new DLL's. They seem to depend on the B19 compiled X11-DLL's.

I have patched all binaries, which depends on cygwinb19.dll with
a patch program (gsar), so they expect cygwin1.dll now.
This works fine for all binaries in the B19 release of
Sergeys X11R6.3 port. I'm using R6.3 and R6.4 files parallel.

The only B19/R6.3 binary, which throws cores around it is `rxvt'.
Does anybody have a port of rxvt to B20?
This would be fine, because the `xterm' didn't communicate changes
of line and/or column count correctly. So, you can't get vim to
believe in more than 25 lines, if you don't do a `set lines=XX'
by hand.

Corinna

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".